Add competitor
Add a competitor domain to a domain.
POST https://cotlet.dev/api/v1/accuranker/domains/{domain_id}/competitors
write
Returns the competitor with its ID. It reaches no one and is removed with the delete button on the Competitors tab, so it does not wait for your OK.
Parameters
| Name | Type | Description |
|---|---|---|
| domain_id string required | string | Domain ID from list_domains. |
| competitor_domain string required | string | Competitor domain without https:// and www. |
| google_business_name string | string | Optional Google Business name of the competitor. |
Request
curl -X POST https://cotlet.dev/api/v1/accuranker/domains/domain_8c41d2/competitors \
-H "Authorization: Bearer $COTLET_API_KEY" \
-H "Content-Type: application/json" \
-d '{"competitor_domain":"competitor domain"}' result = client.call("accuranker", "add_competitor", {"domain_id":"domain_8c41d2","competitor_domain":"competitor domain"}) const result = await cotlet.call('accuranker', 'add_competitor', {"domain_id":"domain_8c41d2","competitor_domain":"competitor domain"}); cotlet call accuranker add_competitor --data '{"domain_id":"domain_8c41d2","competitor_domain":"competitor domain"}' Example response
{
"competitor_id": "c_2203",
"domain": "rei.com",
"google_business_name": null
}